Okta Identity Governance
/Management APIs
/- Retrieve the principal's effective entitlements for a resource
Retrieve the principal entitlement changes
Retrieve an entitlement history
Retrieve the principal's...
OAuth 2.0 scope:
- okta.governance.entitlements.read
Admin roles:
- APP_ADMIN
Retrieves the principal's effective entitlements for a specific resource
Apply various filters by using supported principal entitlements filtering properties.
The resource and the principal are both required. Supply parent.externalId and parent.type, or parentResourceOrn, for the resource. Supply targetPrincipal.externalId and targetPrincipal.type, or targetPrincipalOrn, for the principal.
Note: Query parameter percent encoding is required. See Percent-encoding
Examples:
Filter by user and application
filter=parent.externalId eq "0oafxqCAJWWGELFTYASJ" AND parent.type eq "APPLICATION" AND targetPrincipal.externalId eq "00ub0oNGTSWTBKOLGLNR" AND targeFilter by user and application ORNs
filter=parentResourceOrn eq "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:oidc:0oafxqCAJWWGELFTYASJ" AND targetPrincipalOrn eq "orn:okta:directory:00o11edPw- https://subdomain-okta.login.adsbillinghub.comhttps://subdomain-okta.login.adsbillinghub.com/governance/api/v1/principal-entitlements
curl -i -X GET \
'https://subdomain-okta.login.adsbillinghub.com/governance/api/v1/principal-entitlements?filter=parent.externalId%20eq%20%220oafxqCAJWWGELFTYASJ%22%20AND%20parent.type%20eq%20%22APPLICATION%22%20AND%20targetPrincipal.externalId%20eq%20%2200ub0oNGTSWTBKOLGLNR%22%20AND%20targetPrincipal.type%20eq%20%22OKTA_USER%22'